Package com.independentsoft.office.drawing

# Class TextBodyProperties

java.lang.Object
com.independentsoft.office.drawing.TextBodyProperties

public class TextBodyProperties extends Object
The Class TextBodyProperties.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TextBodyProperties()`
  Instantiates a new text body properties.
  `TextBodyProperties​(InternalXMLStreamReader reader)`
  Instantiates a new text body properties.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `TextBodyProperties`
  `clone()`
  `TextAnchoringType`
  `getAnchor()`
  Gets the anchor.
  `Unit`
  `getBottomInset()`
  Gets the bottom inset.
  `int`
  `getColumnCount()`
  Gets the column count.
  `ExtensionList`
  `getExtensionList()`
  Gets the DrawingML extension list (`a:extLst`).
  `TextHorizontalOverflowType`
  `getHorizontalOverflow()`
  Gets the horizontal overflow.
  `Unit`
  `getLeftInset()`
  Gets the left inset.
  `NormalAutoFit`
  `getNormalAutoFit()`
  Gets the normal auto fit.
  `Unit`
  `getNoTextIn3DScene()`
  Gets the no text in3 d scene.
  `PresetTextWarp`
  `getPresetTextWarp()`
  Gets the preset text warp.
  `Unit`
  `getRightInset()`
  Gets the right inset.
  `int`
  `getRotation()`
  Gets the rotation.
  `Scene3D`
  `getScene3D()`
  Gets the scene3 d.
  `Shape3D`
  `getShape3D()`
  Gets the shape3 d.
  `Unit`
  `getSpaceBetweenColumns()`
  Gets the space between columns.
  `Unit`
  `getTopInset()`
  Gets the top inset.
  `TextVerticalOverflowType`
  `getVerticalOverflow()`
  Gets the vertical overflow.
  `VerticalTextType`
  `getVerticalText()`
  Gets the vertical text.
  `TextWrappingType`
  `getWrapping()`
  Gets the wrapping.
  `boolean`
  `hasEnableParagraphSpacing()`
  Checks for enable paragraph spacing.
  `boolean`
  `isAutoFit()`
  Checks if is auto fit.
  `boolean`
  `isCenterAnchor()`
  Checks if is center anchor.
  `boolean`
  `isColumnsRightToLeft()`
  Checks if is columns right to left.
  `boolean`
  `isCompatibleLineSpacing()`
  Checks if is compatible line spacing.
  `boolean`
  `isForceAntiAlias()`
  Checks if is force anti alias.
  `boolean`
  `isFromWordArt()`
  Checks if is from word art.
  `boolean`
  `isNoAutoFit()`
  Checks if is no auto fit.
  `boolean`
  `isTextUpright()`
  Checks if is text upright.
  `void`
  `setAnchor​(TextAnchoringType anchor)`
  Sets the anchor.
  `void`
  `setAutoFit​(boolean autoFit)`
  Sets the auto fit.
  `void`
  `setBottomInset​(Unit bottomInset)`
  Sets the bottom inset.
  `void`
  `setCenterAnchor​(boolean centerAnchor)`
  Sets the center anchor.
  `void`
  `setColumnCount​(int columnCount)`
  Sets the column count.
  `void`
  `setColumnsRightToLeft​(boolean columnsRightToLeft)`
  Sets the columns right to left.
  `void`
  `setCompatibleLineSpacing​(boolean compatibleLineSpacing)`
  Sets the compatible line spacing.
  `void`
  `setEnableParagraphSpacing​(boolean enableParagraphSpacing)`
  Sets the enable paragraph spacing.
  `void`
  `setExtensionList​(ExtensionList extensionList)`
  Sets the DrawingML extension list (`a:extLst`).
  `void`
  `setForceAntiAlias​(boolean forceAntiAlias)`
  Sets the force anti alias.
  `void`
  `setFromWordArt​(boolean fromWordArt)`
  Sets the from word art.
  `void`
  `setHorizontalOverflow​(TextHorizontalOverflowType horizontalOverflow)`
  Sets the horizontal overflow.
  `void`
  `setLeftInset​(Unit leftInset)`
  Sets the left inset.
  `void`
  `setNoAutoFit​(boolean noAutoFit)`
  Sets the no auto fit.
  `void`
  `setNormalAutoFit​(NormalAutoFit normalAutoFit)`
  Sets the normal auto fit.
  `void`
  `setNoTextIn3DScene​(Unit noTextIn3DScene)`
  Sets the no text in3 d scene.
  `void`
  `setPresetTextWarp​(PresetTextWarp presetTextWarp)`
  Sets the preset text warp.
  `void`
  `setRightInset​(Unit rightInset)`
  Sets the right inset.
  `void`
  `setRotation​(int rotation)`
  Sets the rotation.
  `void`
  `setScene3D​(Scene3D scene3D)`
  Sets the scene3 d.
  `void`
  `setShape3D​(Shape3D shape3D)`
  Sets the shape3 d.
  `void`
  `setSpaceBetweenColumns​(Unit spaceBetweenColumns)`
  Sets the space between columns.
  `void`
  `setTextUpright​(boolean textUpright)`
  Sets the text upright.
  `void`
  `setTopInset​(Unit topInset)`
  Sets the top inset.
  `void`
  `setVerticalOverflow​(TextVerticalOverflowType verticalOverflow)`
  Sets the vertical overflow.
  `void`
  `setVerticalText​(VerticalTextType verticalText)`
  Sets the vertical text.
  `void`
  `setWrapping​(TextWrappingType wrapping)`
  Sets the wrapping.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TextBodyProperties

    public TextBodyProperties()
    Instantiates a new text body properties.

  - ### TextBodyProperties

    public TextBodyProperties​(InternalXMLStreamReader reader) throws XMLStreamException
    Instantiates a new text body properties.
    Parameters:
      `reader` - the reader
    Throws:
      `XMLStreamException` - the xML stream exception

- ## Method Details

  - ### clone

    public TextBodyProperties clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getExtensionList

    public ExtensionList getExtensionList()
    Gets the DrawingML extension list (`a:extLst`).
    Returns:
      the extension list

  - ### setExtensionList

    public void setExtensionList​(ExtensionList extensionList)
    Sets the DrawingML extension list (`a:extLst`).
    Parameters:
      `extensionList` - the new extension list

  - ### isNoAutoFit

    public boolean isNoAutoFit()
    Checks if is no auto fit.
    Returns:
      true, if is no auto fit

  - ### setNoAutoFit

    public void setNoAutoFit​(boolean noAutoFit)
    Sets the no auto fit.
    Parameters:
      `noAutoFit` - the new no auto fit

  - ### isAutoFit

    public boolean isAutoFit()
    Checks if is auto fit.
    Returns:
      true, if is auto fit

  - ### setAutoFit

    public void setAutoFit​(boolean autoFit)
    Sets the auto fit.
    Parameters:
      `autoFit` - the new auto fit

  - ### getPresetTextWarp

    public PresetTextWarp getPresetTextWarp()
    Gets the preset text warp.
    Returns:
      the preset text warp

  - ### setPresetTextWarp

    public void setPresetTextWarp​(PresetTextWarp presetTextWarp)
    Sets the preset text warp.
    Parameters:
      `presetTextWarp` - the new preset text warp

  - ### getShape3D

    public Shape3D getShape3D()
    Gets the shape3 d.
    Returns:
      the shape3 d

  - ### setShape3D

    public void setShape3D​(Shape3D shape3D)
    Sets the shape3 d.
    Parameters:
      `shape3D` - the new shape3 d

  - ### getScene3D

    public Scene3D getScene3D()
    Gets the scene3 d.
    Returns:
      the scene3 d

  - ### setScene3D

    public void setScene3D​(Scene3D scene3D)
    Sets the scene3 d.
    Parameters:
      `scene3D` - the new scene3 d

  - ### getNoTextIn3DScene

    public Unit getNoTextIn3DScene()
    Gets the no text in3 d scene.
    Returns:
      the no text in3 d scene

  - ### setNoTextIn3DScene

    public void setNoTextIn3DScene​(Unit noTextIn3DScene)
    Sets the no text in3 d scene.
    Parameters:
      `noTextIn3DScene` - the new no text in3 d scene

  - ### getNormalAutoFit

    public NormalAutoFit getNormalAutoFit()
    Gets the normal auto fit.
    Returns:
      the normal auto fit

  - ### setNormalAutoFit

    public void setNormalAutoFit​(NormalAutoFit normalAutoFit)
    Sets the normal auto fit.
    Parameters:
      `normalAutoFit` - the new normal auto fit

  - ### getAnchor

    public TextAnchoringType getAnchor()
    Gets the anchor.
    Returns:
      the anchor

  - ### setAnchor

    public void setAnchor​(TextAnchoringType anchor)
    Sets the anchor.
    Parameters:
      `anchor` - the new anchor

  - ### isCenterAnchor

    public boolean isCenterAnchor()
    Checks if is center anchor.
    Returns:
      true, if is center anchor

  - ### setCenterAnchor

    public void setCenterAnchor​(boolean centerAnchor)
    Sets the center anchor.
    Parameters:
      `centerAnchor` - the new center anchor

  - ### getBottomInset

    public Unit getBottomInset()
    Gets the bottom inset.
    Returns:
      the bottom inset

  - ### setBottomInset

    public void setBottomInset​(Unit bottomInset)
    Sets the bottom inset.
    Parameters:
      `bottomInset` - the new bottom inset

  - ### isCompatibleLineSpacing

    public boolean isCompatibleLineSpacing()
    Checks if is compatible line spacing.
    Returns:
      true, if is compatible line spacing

  - ### setCompatibleLineSpacing

    public void setCompatibleLineSpacing​(boolean compatibleLineSpacing)
    Sets the compatible line spacing.
    Parameters:
      `compatibleLineSpacing` - the new compatible line spacing

  - ### isForceAntiAlias

    public boolean isForceAntiAlias()
    Checks if is force anti alias.
    Returns:
      true, if is force anti alias

  - ### setForceAntiAlias

    public void setForceAntiAlias​(boolean forceAntiAlias)
    Sets the force anti alias.
    Parameters:
      `forceAntiAlias` - the new force anti alias

  - ### isFromWordArt

    public boolean isFromWordArt()
    Checks if is from word art.
    Returns:
      true, if is from word art

  - ### setFromWordArt

    public void setFromWordArt​(boolean fromWordArt)
    Sets the from word art.
    Parameters:
      `fromWordArt` - the new from word art

  - ### getHorizontalOverflow

    public TextHorizontalOverflowType getHorizontalOverflow()
    Gets the horizontal overflow.
    Returns:
      the horizontal overflow

  - ### setHorizontalOverflow

    public void setHorizontalOverflow​(TextHorizontalOverflowType horizontalOverflow)
    Sets the horizontal overflow.
    Parameters:
      `horizontalOverflow` - the new horizontal overflow

  - ### getLeftInset

    public Unit getLeftInset()
    Gets the left inset.
    Returns:
      the left inset

  - ### setLeftInset

    public void setLeftInset​(Unit leftInset)
    Sets the left inset.
    Parameters:
      `leftInset` - the new left inset

  - ### getColumnCount

    public int getColumnCount()
    Gets the column count.
    Returns:
      the column count

  - ### setColumnCount

    public void setColumnCount​(int columnCount)
    Sets the column count.
    Parameters:
      `columnCount` - the new column count

  - ### getRightInset

    public Unit getRightInset()
    Gets the right inset.
    Returns:
      the right inset

  - ### setRightInset

    public void setRightInset​(Unit rightInset)
    Sets the right inset.
    Parameters:
      `rightInset` - the new right inset

  - ### getRotation

    public int getRotation()
    Gets the rotation.
    Returns:
      the rotation

  - ### setRotation

    public void setRotation​(int rotation)
    Sets the rotation.
    Parameters:
      `rotation` - the new rotation

  - ### isColumnsRightToLeft

    public boolean isColumnsRightToLeft()
    Checks if is columns right to left.
    Returns:
      true, if is columns right to left

  - ### setColumnsRightToLeft

    public void setColumnsRightToLeft​(boolean columnsRightToLeft)
    Sets the columns right to left.
    Parameters:
      `columnsRightToLeft` - the new columns right to left

  - ### getSpaceBetweenColumns

    public Unit getSpaceBetweenColumns()
    Gets the space between columns.
    Returns:
      the space between columns

  - ### setSpaceBetweenColumns

    public void setSpaceBetweenColumns​(Unit spaceBetweenColumns)
    Sets the space between columns.
    Parameters:
      `spaceBetweenColumns` - the new space between columns

  - ### hasEnableParagraphSpacing

    public boolean hasEnableParagraphSpacing()
    Checks for enable paragraph spacing.
    Returns:
      true, if successful

  - ### setEnableParagraphSpacing

    public void setEnableParagraphSpacing​(boolean enableParagraphSpacing)
    Sets the enable paragraph spacing.
    Parameters:
      `enableParagraphSpacing` - the new enable paragraph spacing

  - ### getTopInset

    public Unit getTopInset()
    Gets the top inset.
    Returns:
      the top inset

  - ### setTopInset

    public void setTopInset​(Unit topInset)
    Sets the top inset.
    Parameters:
      `topInset` - the new top inset

  - ### isTextUpright

    public boolean isTextUpright()
    Checks if is text upright.
    Returns:
      true, if is text upright

  - ### setTextUpright

    public void setTextUpright​(boolean textUpright)
    Sets the text upright.
    Parameters:
      `textUpright` - the new text upright

  - ### getVerticalText

    public VerticalTextType getVerticalText()
    Gets the vertical text.
    Returns:
      the vertical text

  - ### setVerticalText

    public void setVerticalText​(VerticalTextType verticalText)
    Sets the vertical text.
    Parameters:
      `verticalText` - the new vertical text

  - ### getVerticalOverflow

    public TextVerticalOverflowType getVerticalOverflow()
    Gets the vertical overflow.
    Returns:
      the vertical overflow

  - ### setVerticalOverflow

    public void setVerticalOverflow​(TextVerticalOverflowType verticalOverflow)
    Sets the vertical overflow.
    Parameters:
      `verticalOverflow` - the new vertical overflow

  - ### getWrapping

    public TextWrappingType getWrapping()
    Gets the wrapping.
    Returns:
      the wrapping

  - ### setWrapping

    public void setWrapping​(TextWrappingType wrapping)
    Sets the wrapping.
    Parameters:
      `wrapping` - the new wrapping